FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 07-13-2010, 11:30 PM
Ben Hutchings
 
Default viafb: Add transitive dependencies via gpiolib

FB_VIA now selects GPIOLIB, but that is not available on all
architectures. Change FB_VIA dependencies to include GPIOLIB
dependencies.

Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
---
I think the better solution is to make GPIOLIB available for all
platforms, but this will deal with the problem in the short term (i.e.
for 2.6.35).

Ben.

drivers/video/Kconfig | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/drivers/video/Kconfig b/drivers/video/Kconfig
index 3d94a14..bc4534d 100644
--- a/drivers/video/Kconfig
+++ b/drivers/video/Kconfig
@@ -1505,7 +1505,7 @@ config FB_SIS_315

config FB_VIA
tristate "VIA UniChrome (Pro) and Chrome9 display support"
- depends on FB && PCI
+ depends on FB && PCI && (ARCH_WANT_OPTIONAL_GPIOLIB || ARCH_REQUIRE_GPIOLIB)
select FB_CFB_FILLRECT
select FB_CFB_COPYAREA
select FB_CFB_IMAGEBLIT
--
1.7.1



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1279063845.6139.129.camel@localhost">http://lists.debian.org/1279063845.6139.129.camel@localhost
 
Old 07-13-2010, 11:35 PM
Dave Airlie
 
Default viafb: Add transitive dependencies via gpiolib

On Wed, Jul 14, 2010 at 9:30 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> FB_VIA now selects GPIOLIB, but that is not available on all
> architectures. *Change FB_VIA dependencies to include GPIOLIB
> dependencies.

If you can find a via chipset on anything not x86 I'd be impressed.

Dave.


--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTik8N3lo2FtIv6PrNH1ObvpvCeMDaPeUS_cF_Sk4@mail .gmail.com">http://lists.debian.org/AANLkTik8N3lo2FtIv6PrNH1ObvpvCeMDaPeUS_cF_Sk4@mail .gmail.com
 
Old 07-13-2010, 11:48 PM
Ben Hutchings
 
Default viafb: Add transitive dependencies via gpiolib

On Wed, 2010-07-14 at 09:35 +1000, Dave Airlie wrote:
> On Wed, Jul 14, 2010 at 9:30 AM, Ben Hutchings <ben@decadent.org.uk> wrote:
> > FB_VIA now selects GPIOLIB, but that is not available on all
> > architectures. Change FB_VIA dependencies to include GPIOLIB
> > dependencies.
>
> If you can find a via chipset on anything not x86 I'd be impressed.

If it's really restricted to x86 then that should be added to its
dependencies instead.

Ben.

--
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
 
Old 07-14-2010, 07:35 PM
Florian Tobias Schandinat
 
Default viafb: Add transitive dependencies via gpiolib

Ben Hutchings schrieb:

On Wed, 2010-07-14 at 09:35 +1000, Dave Airlie wrote:

On Wed, Jul 14, 2010 at 9:30 AM, Ben Hutchings <ben@decadent.org.uk> wrote:

FB_VIA now selects GPIOLIB, but that is not available on all
architectures. Change FB_VIA dependencies to include GPIOLIB
dependencies.

If you can find a via chipset on anything not x86 I'd be impressed.


If it's really restricted to x86 then that should be added to its
dependencies instead.


True.
The new VIA ARM tablets aside I don't know anything non-x86 from VIA.
And even if there exists anything non-x86 that includes these IGPs I
really doubt that the driver is close to supporting it. Hell I do even
wonder whether it works well on 64 bit but unless there are bug reports
that's nothing I worry about.



Regards,

Florian Tobias Schandinat


--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4C3E1171.9060706@gmx.de">http://lists.debian.org/4C3E1171.9060706@gmx.de
 
Old 07-19-2010, 10:34 PM
Jonathan Corbet
 
Default viafb: Add transitive dependencies via gpiolib

[Been on vacation, behind on a number of things...]

On Wed, 14 Jul 2010 09:35:49 +1000
Dave Airlie <airlied@gmail.com> wrote:

> > FB_VIA now selects GPIOLIB, but that is not available on all
> > architectures. *Change FB_VIA dependencies to include GPIOLIB
> > dependencies.
>
> If you can find a via chipset on anything not x86 I'd be impressed.

Agreed. The right fix is almost certainly to just have FB_VIA depend
on X86.

jon


--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20100719163458.297e1b01@bike.lwn.net">http://lists.debian.org/20100719163458.297e1b01@bike.lwn.net
 

Thread Tools




All times are GMT. The time now is 04:19 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org